react-native-maps not working on production with expo sdk-39

Please provide the following:

  1. SDK Version:39.0.2
  2. Platforms(Android/iOS/web/all):android

Hello guys! I’m having a big problem. The library works fine on development mode with Android and IOS. When I build the project and send it to Google Play Store, it crashes. Sentry shows me that I did not define the google API key on my project, but I did.
My android definition on app.json:
“android”: {
“playStoreUrl”:“https://play.google.com/store/apps/details?id=br.psi.giganet.cda”,
“package”: “br.psi.giganet.cda”,
“versionCode”: 33,
“config”: {
“googleMaps”: {
“apiKey”: “AIzaSyAKSbH2UwMfP7_jh9Ck0Qu-BrCp4KaJl2A”
}
},
“useNextNotificationsApi”: true
},

->Ps: For safety questions, I changed my google Maps key
->Ps: It was working fine with expo SDK 38(before upgrading to the new one)
I’ve tried to create another expo project and paste my src and app.json and package.json to the new expo project, but it doesn’t work anyway.

Obs: I was getting this warning when I run expo build:android:
expo build: android currently only supports managed workflow apps.
If you proceed with this command, we can run the build for you but it will not include any custom native modules or changes that you have made to your local native projects.
Unless you are sure that you know what you are doing, we recommend aborting the build and doing a native release build through Android Studio.

Hey @giganetdev,

Could you try creating a new project on SDK39, getting a valid Google Maps API key, building the binary and see if the same issue occurs? If so, it would be greatly appreciated if you could create a github issue with as much information as you could provide.

Cheers,
Adam